Package org.eclipse.emf.cdo.common.revision

## Interface CDORevisionKey

- All Superinterfaces:
    `CDOBranchProvider`, `CDOBranchVersion`, `CDOIDAndVersion`, `CDOIdentifiable`, `CDOVersionProvider`
  All Known Subinterfaces:
    `CDORevision`, `CDORevisionCache.EvictionEvent`, `CDORevisionDelta`, `InternalCDORevision`, `InternalCDORevisionDelta`
  All Known Implementing Classes:
    `AbstractCDORevision`, `BaseCDORevision`, `DelegatingCDORevision`, `DetachedCDORevision`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

      public interface CDORevisionKey
      extends CDOBranchVersion, CDOIDAndVersion

  Uniquely identifies a `revision` by version in a `branch`.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `FIRST_VERSION, UNSPECIFIED_VERSION`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `getBranch, getVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOIDAndVersion

      `getVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

      `getID`